@import '../utils/colours.scss';

.history-record-modal .modal-body {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
}

.history-record-modal .modal-config {
  display: flex;
  flex: 50%;
  justify-content: center;
  align-items: center;
  margin-right: 1%;
  background-color: $darkTeal;
  border: transparent;
  border-width: 2px;
  border-style: solid;
}

.history-record-modal .modal-config-selected {
  display: flex;
  flex: 50%;
  justify-content: center;
  align-items: center;
  margin-right: 1%;
  background-color: $darkTeal;
  border: green;
  border-width: 2px;
  border-style: solid;
}

.history-record-modal .modal-config:hover {
  border: thistle;
  border-width: 2px;
  border-style: dotted;
}

.history-record-modal .modal-images {
  display: flex;
  flex: 50%;
  flex-direction: column;
  justify-content: center;
  margin-left: 1%;
  height: 54vh;
}

.json-pretty {
  height: 53vh;
  width: 100%;
  overflow: auto;
}

.modal-images .input-images {
  display: flex;
  flex: 50%;
  flex-direction: row;
  overflow: auto;
}

.image-frame {
  display: flex;
  flex: 50%;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin: 1%;
  color: white;
  border: transparent;
  border-width: 2px;
  border-style: solid;
  overflow: auto;
}

.image-frame-selected {
  display: flex;
  flex: 50%;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin: 1%;
  color: green;
  border: green;
  border-width: 2px;
  border-style: solid;
  overflow: auto;
}

.image-frame:hover {
  border: thistle;
  border-width: 2px;
  border-style: dotted;
}

.title-area {
  display: flex;
  flex: 20%;
  justify-content: center;
  align-items: center;
}

.image-area {
  flex: 80%;
  display: flex;
  align-items: center;
  justify-content: center;
  height: 10vh;
}

.image-area img {
  max-height: 100%;
}
